#!/bin/sh
echo 'name: skein
version: 0.1.0.4
id: skein-0.1.0.4-a9e8ddb90d7a1ed246695baabe152d2b

license: BSD3
copyright:
maintainer: Felipe Lessa <felipe.lessa@gmail.com>
stability:
homepage:
package-url:
description: Skein (<http://www.skein-hash.info/>) is a family of fast
             secure cryptographic hash functions designed by Niels
             Ferguson, Stefan Lucks, Bruce Schneier, Doug Whiting, Mihir
             Bellare, Tadayoshi Kohno, Jon Callas and Jesse Walker.
             .
             This package uses bindings to the optimized C implementation
             of Skein.  We provide a high-level interface (see module
             "Crypto.Skein") to some of the Skein use cases.  We also
             provide a low-level interface (see module
             "Crypto.Skein.Internal") should you need to use Skein in a
             different way.
             .
             Currently we have support for Skein as cryptographic hash
             function as Skein as a message authentication code
             (Skein-MAC).  For examples of how to use this package, see
             "Crypto.Skein" module documentation.
category: Cryptography
author: Felipe Lessa <felipe.lessa@gmail.com>, Doug Whiting
pkgpath: security/hs-skein
exposed: True
exposed-modules: Crypto.Skein Crypto.Skein.Internal
hidden-modules:
import-dirs: /usr/local/lib/ghc/skein-0.1.0.4
library-dirs: /usr/local/lib/ghc/skein-0.1.0.4
hs-libraries: HSskein-0.1.0.4
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes: skein.h
depends: base-4.3.1.0-4365831fa9af03083be195ed161cbbc1
         bytestring-0.9.1.10-d11caeadd9605139e1a59850ce083826
         cereal-0.3.0.0-c17ac2a70f89323d10af6f3ac87760ec
         crypto-api-0.8-05b728f3d677abca6e90bce525286739
         tagged-0.2-4db34a1a28b200ea54bef8eab1247bdb
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-skein-0.1.0.4/html/skein.haddock
haddock-html: /usr/local/share/doc/hs-skein-0.1.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
